Bug 253917 - cpio: Fails to read table of contents from tape that spans multiple medium
cpio: Fails to read table of contents from tape that spans multiple medium
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: cpio (Show other bugs)
4.0
i686 Linux
medium Severity medium
: rc
: ---
Assigned To: Ondrej Vasik
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-22 17:38 EDT by David Milburn
Modified: 2008-07-24 15:57 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2008-0719
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 15:57:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Milburn 2007-08-22 17:38:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc3 Firefox/1.0.7

Description of problem:
Cannot use cpio to read backup sets that span multiple tapes.



Version-Release number of selected component (if applicable):
cpio-2.5.9.RHEL4

How reproducible:
Always


Steps to Reproduce:
1. Insert media in tape drive
2. mt -f /dev/nst0 rewind
3. mt -f /dev/nst0 setblk 0
4. mt -f /dev/nst0 defblksize 0
5. /bin/cpio -ocvC 32768 --force-local -M Tape_Change_Request < /tmp/longlist -F /dev/nst0
6. First tape hits end of media and is ejected, insert second tape
7. mt -f /dev/nst0 rewind
8. mt -f /dev/nst0 setblk 0
9. mt -f /dev/nst0 defblksize 0
10. Complete backup, eject second tape.
11. Put first media back in tape drive to read table of contents
12. /bin/cpio -tC 32768 -M Tape_Change_Request -F /dev/nst0




Actual Results:
Failure when you reach the end of the first tape when reading table of contents:
/bin/cpio: read error: Input/output error


Expected Results:
Expect cpio to read a backup set that spans multiple tapes.



Additional info:
Reproduced running cpio-2.5.9.RHEL4 (2.6.9-55.ELsmp) on hardware:

SCSI storage controller: Adaptec AHA-2940U/UW/D / AIC-7881U

Host: scsi0 Channel: 00 Id: 05 Lun: 00
  Vendor: COMPAQ   Model: SuperDLT1        Rev: 4B4B
  Type:   Sequential-Access                ANSI SCSI revision: 02

The same problem is reproducible on RHEL3 (BZ 253613).

http://lists.gnu.org/archive/html/bug-cpio/2005-01/msg00013.html
Comment 1 RHEL Product and Program Management 2007-11-28 22:59:29 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 19 errata-xmlrpc 2008-07-24 15:57:06 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0719.html

Note You need to log in before you can comment on or make changes to this bug.